Package org.firstinspires.ftc.teamcode

## Class BasicOpMode

- java.lang.Object
- - com.qualcomm.robotcore.eventloop.opmode.OpMode
  - - com.qualcomm.robotcore.eventloop.opmode.LinearOpMode
    - - org.firstinspires.ftc.teamcode.BasicOpMode

-     @TeleOp
      public class BasicOpMode
      extends com.qualcomm.robotcore.eventloop.opmode.LinearOpMode

- - ### Field Summary

    - ### Fields inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

      `gamepad1, gamepad2, hardwareMap, internalOpModeServices, msStuckDetectInit, msStuckDetectInitLoop, msStuckDetectLoop, msStuckDetectStart, msStuckDetectStop, telemetry, time`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicOpMode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `runOpMode()` |

    - ### Methods inherited from class com.qualcomm.robotcore.eventloop.opmode.LinearOpMode

      `idle, init, init_loop, internalPostInitLoop, internalPostLoop, isStarted, isStopRequested, loop, opModeIsActive, sleep, start, stop, waitForStart`

    - ### Methods inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

      `getRuntime, internalPreInit, internalUpdateTelemetryNow, requestOpModeStop, resetStartTime, updateTelemetry`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicOpMode

          public BasicOpMode()

  - ### Method Detail

    - #### runOpMode

          public void runOpMode()

      Specified by:
        `runOpMode` in class `com.qualcomm.robotcore.eventloop.opmode.LinearOpMode`